aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/include-xds-build-common.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/common/include-xds-build-common.sh')
-rw-r--r--jjb/common/include-xds-build-common.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/jjb/common/include-xds-build-common.sh b/jjb/common/include-xds-build-common.sh
new file mode 100644
index 00000000..90033bc9
--- /dev/null
+++ b/jjb/common/include-xds-build-common.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+# (c) 2018 Jan-Simon Moeller <jsmoeller@linuxfoundation.org>
+# License: GPLv2
+
+
+ROOTDIR=`pwd`
+rm -rf $ROOTDIR/src || true
+mkdir -p $ROOTDIR/src/gerrit.automotivelinux.org/gerrit/xds
+cd $ROOTDIR/src/gerrit.automotivelinux.org/gerrit/src/xds
+git clone https://gerrit.automotivelinux.org/gerrit/${GERRIT_PROJECT}
+cd ${PROJECT_TO_BUILD}
+export V=1
+make package-all
+
+cd $ROOTDIR
+tree
+